## goobox 3.4.1

=== debian/changelog ===
goobox (3.4.1-5) unstable; urgency=medium

  * Correct versioned dependency on debhelper. 
  * Correct a spelling error found by lintian.

 -- Helge Kreutzmann <debian@helgefjell.de>  Tue, 09 Feb 2016 18:15:35 +0100

goobox (3.4.1-4) unstable; urgency=medium

  * Looked at open lintian issues:
    * Update debian/watch for version 3.4 of goobox.
    * Update debhelper compatibility level to 9.
    * Add descriptions for the patches in the package.
    * Correct debian/copyright
       * Remove a superfluous license.
       * Move one entry down, otherwise the more general definition overrides
  	 it
       * Correct a broken link syntax (found while fixing the others)
    * Add keywords to the desktop file 
  * po/lt.po updated from upstream git.
  * Upgrade to policy 3.9.5, no changes required.

 -- Helge Kreutzmann <debian@helgefjell.de>  Mon, 08 Feb 2016 18:40:28 +0100

goobox (3.4.1-3) unstable; urgency=medium

  * Re-add versioned build dependency on dpkg-dev as required by policy.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 23 Jan 2016 10:29:26 +0100

goobox (3.4.1-2) unstable; urgency=medium

  * help/sv/sv.po updated from upstream git.
  * Remove versioned build-dependency already satisifed in (old)stable. 

 -- Helge Kreutzmann <debian@helgefjell.de>  Thu, 14 Jan 2016 15:04:16 +0100

goobox (3.4.1-1) unstable; urgency=medium

  * New upstream release, including all previous patches
  * debian/copyright
    - Update for new upstream version
    - Fix incorrectly formatted entries
  * po/pt.po updated from upstream git.
  * Recomplete German man page translation.
  * Properly override lintian warning. Goobox does not accept any parameters
    (only options). Next try.

 -- Helge Kreutzmann <debian@helgefjell.de>  Fri, 09 Oct 2015 18:11:27 +0200

goobox (3.4.0-1) unstable; urgency=medium

  * Correct version number (3.3.4 → 3.4.0)
  * po/de.po updated from upstream git. 
  * Update man page to match current reality
  * Update German man page translation including fixing long standing errors
  * Fix command line parsing (Patch taken from upstream git)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 19 Sep 2015 14:57:27 +0200

goobox (3.3.4-2) unstable; urgency=medium

  * po/pl.po updated from upstream git. 
  * No longer install menu file, sigh. (Cf. CTTE #741573)
  * Properly override lintian warning. Goobox does not accept any parameters
    (only options)
  * Recomplete German man page translation.
  * Suggest gstreamer1.0-plugins-ugly to enable (optional) MP3 ripping.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 06 Sep 2015 09:44:09 +0200

=== debian/control ===
Source: goobox
Section: gnome
Priority: optional
Maintainer: Helge Kreutzmann <debian@helgefjell.de>
Build-Depends: debhelper (>= 9), autotools-dev, docbook-to-man, 
    intltool, libgconf2-dev, libgstreamer1.0-dev,
    libgtk-3-dev, libcam-dev [kfreebsd-any],
    libmusicbrainz5-dev, libnotify-dev, po4a, libbrasero-media3-dev,
    recode, docbook-xml, libdiscid-dev, libneon27-dev, dpkg-dev (>= 1.16.1),
    itstool, libxml2-utils, libcoverart-dev
Standards-Version: 3.9.7
Homepage: http://www.gnome.org/~paobac/goobox/

Package: goobox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
    gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gnome-icon-theme-symbolic
Recommends: dbus-x11, yelp
Suggests: gstreamer1.0-plugins-ugly
Description: CD player and ripper with GNOME 3 integration
 Goobox is an CD player and ripper for the GNOME 3 environment. It follows the 
 "Just Works" principle so its interface is beautiful and easy-to-use.
 .
 It uses GNOME/GTK+ for its user interface, GStreamer framework for CD playing,
 and ripping operations, musicbrainz for CD indexing, and Google to search
 for album cover images.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#include /usr/share/quilt/quilt.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

CFLAGS = -Wall -g
 
#Enable all hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build $(DEB_HOST_GNU_TYPE) $(shell dpkg-buildflags --export=configure)
else
	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) $(shell dpkg-buildflags --export=configure)
endif


DATE=$(shell date +%Y%m%d)
TMPDIR=/tmp
MANDIR=debian/manpage
SVNNAME=goobox_svn$(DATE)
SVNBDIR=$(TMPDIR)/$(SVNNAME)

# FIXME: This needs to be converted to the current git repository
svnupstream-checkout:
	# Needs: svn 

	# Getting sources
	cd $(TMPDIR) && \
        svn co svn://svn.gnome.org/svn/goobox/trunk goobox && \
        mv goobox $(SVNBDIR)

	# Mark it
	touch $@

svnupstream: svnupstream-checkout
	# Needs: autoconf automake libtool

	# Bootstrapping
	-cd $(SVNBDIR) && \
        ./autogen.sh && \
        rm -f config.log config.status

	#cd $(SVNBDIR) && \
	#libtoolize -c -f && \
	#aclocal && \
	#autoconf

	# Removing unused files
	-find $(SVNBDIR) -name .svn -exec rm -rf "{}" ";"
	-rm -r $(SVNBDIR)/autom4te.cache/
	-rm -r $(SVNBDIR)/rm *_bak
	
	# Creating tarball
	cd $(SVNBDIR)/.. && \
	tar cfz $(SVNNAME).orig.tar.gz $(SVNNAME)
	mv -i $(SVNBDIR)/../$(SVNNAME).orig.tar.gz ..

	# Remove mark
	rm svnupstream-checkout

config.status: configure
	dh_testdir

	# Configuring package
	#-./autogen.sh
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	[ -f config.sub.upstream ] || mv config.sub config.sub.upstream
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	[ -f config.guess.upstream ] || mv config.guess config.guess.upstream
	cp -f /usr/share/misc/config.guess config.guess
endif
	# autoreconf
	CFLAGS="$(CFLAGS)" ./configure $(confflags) --prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc --disable-silent-rules

build: build-arch build-indep

build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir

	# Building package
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp config.log

	# Cleaning package
	# cp -p gnome-doc-utils.make gnome-doc-utils.make.save
	cp -p ChangeLog ChangeLog.save
#-$(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean
	# mv -f gnome-doc-utils.make.save gnome-doc-utils.make
	mv -f ChangeLog.save ChangeLog
	[ ! -f config.guess.upstream ] || mv -f config.guess.upstream config.guess
	[ ! -f config.sub.upstream ] || mv -f config.sub.upstream config.sub

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Installing package
	$(MAKE) install DESTDIR=$(CURDIR)/debian/goobox

	# Installing manpages
	install -d -m 0755 debian/goobox/usr/share/man/man1
	install -d -m 0755 debian/goobox/usr/share/man/de/man1

	docbook-to-man $(MANDIR)/goobox.en.sgml > debian/goobox/usr/share/man/man1/goobox.1
	po4a -v -f debian/po4a.cfg
	# po4a-translate is broken, c.f. #280882
	perl -i -p -e 's#  <refentrytitle>\&dhucpackage;#\&dhucpackage;#ms' $(MANDIR)/goobox.de.sgml
	perl -i -p -e 's#^\s*</refentrytitle>##' $(MANDIR)/goobox.de.sgml
	docbook-to-man $(MANDIR)/goobox.de.sgml > debian/goobox/usr/share/man/de/man1/goobox.1
	recode latin1..utf8 debian/goobox/usr/share/man/de/man1/goobox.1

	# cf. #562722
	perl -i -p -e 's#SYNOPSIS#ÜBERSICHT#' debian/goobox/usr/share/man/de/man1/goobox.1

	# Installing pixmap
	install -D -m 0644 debian/pixmap/goobox.xpm debian/goobox/usr/share/pixmaps/goobox.xpm

	# Moving icon
	install -d -m 0755 debian/goobox/usr/share/icons
	#mv debian/goobox/usr/share/pixmaps/goobox.png debian/goobox/usr/share/icons

	# Install lintian overrides
	dh_lintian

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog debian/changelog.classic
	dh_installdocs
	dh_install
	#dh_installmenu
	dh_gconf
	dh_icons
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zxz

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## goobox 3.4.2

=== debian/changelog ===
goobox (3.4.2-8) unstable; urgency=medium

  * Remove dependency on libgconf2-dev. Closes: #894317
  * Switch all referenced URLs (under debian/) to https. 
  * Upgrade to policy 4.1.3, no further changes required.
  * Slight update of help/pl/pl.po from upstream git. 
  * Remove unused assignment for DEB_HOST_ARCH in debian/rules.
  * Correct numerous spelling errors in debian/changelog.

 -- Helge Kreutzmann <debian@helgefjell.de>  Thu, 29 Mar 2018 12:17:59 +0200

goobox (3.4.2-7) unstable; urgency=low

  * Update help/de/de.po from upstream git. 
  * Modernize appstream metadata from upstream git.
  * Update lintian overrides to match previous update. 

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 15 Oct 2017 08:27:46 +0200

goobox (3.4.2-6) unstable; urgency=medium

  * Update help/de/de.po.
  * Remove svn checkout target in debian/rules. Goobox is maintained in git 
    and checkouts haven't been used, both for a long time.
  * Upgrade to policy 4.1.1, no changes required.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 30 Sep 2017 20:00:10 +0200

goobox (3.4.2-5) unstable; urgency=medium

  * Update help text from upstream git.
  * Update help/cs/cs.po from upstream git.
  * Update help/pl/pl.po from upstream git.
  * Update help/sv/sv.po from upstream.git.
  * Upgrade to policy 4.1.0, no changes required.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 03 Sep 2017 11:50:10 +0200

goobox (3.4.2-4) unstable; urgency=medium

  * Add po/fur.po from upstream git.
  * Add help/pl/pl.po from upstream git.
  * Switch debian/copyright to https 
  * Upgrade to policy 4.0.0, no changes required.

 -- Helge Kreutzmann <debian@helgefjell.de>  Wed, 12 Jul 2017 16:41:12 +0200

goobox (3.4.2-3) unstable; urgency=low

  * Tell Lintian that there is no spelling error in debian/copyright
  * Add description to debian/patches/update_da.patch

 -- Helge Kreutzmann <debian@helgefjell.de>  Thu, 12 Jan 2017 11:57:02 +0100

goobox (3.4.2-2) unstable; urgency=medium

  * po/da.po updated from upstream git.
  * Fix a file reference in debian/copyright

 -- Helge Kreutzmann <debian@helgefjell.de>  Mon, 28 Nov 2016 16:03:23 +0100

goobox (3.4.2-1) unstable; urgency=low

  * New upstream release, including most of the previous patches.

 -- Helge Kreutzmann <debian@helgefjell.de>  Wed, 19 Oct 2016 18:39:01 +0200

goobox (3.4.1-8) unstable; urgency=medium

  * Pull patches from upstream git: (Closes: #829880)
    * do not use gnome-autogen.sh
    * removed deprecated macros
    * removed obsolete definitions
    * do not merge the translations into the gschema file
    * removed custom definition of localedir
    * fixed application name not translated in about dialog
  * Add descriptions to patch files where missing.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 18 Sep 2016 17:12:21 +0200

goobox (3.4.1-7) unstable; urgency=medium

  * Ack NMU.
    * This reopens 678223. 
    * The patch has been reviewed and ack'ed by upstream in the meantime.
  * Allow for different dbus implementations. Closes: #835890.
  * po/pl.po updated from upstream git.
  * po/fi.po updated from upstream git.
  * Upgrade to policy 3.9.8, no changes required (anymore).

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 11 Sep 2016 09:35:30 +0200

goobox (3.4.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop the dependency against gnome-icon-theme-symbolic package, goobox uses
    gtk3 that uses adwaita-icon-theme which is pulled by default (Closes:
    #826250)
  * d/p/0001-Let-s-GTK-automatically-load-rtl-icon-variants.patch: GTK3 should
    now load the RTL version of the icons when needed, this makes the icons
    from the adwaita icons theme display properly in that case.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 05 Jul 2016 17:37:00 +0200

goobox (3.4.1-6) unstable; urgency=medium

  * po/tr.po added from upstream git.
  * Correct changelog entry for 3.4.1-4 about policy update.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 20 Mar 2016 16:18:37 +0100

=== debian/control ===
Source: goobox
Section: gnome
Priority: optional
Maintainer: Helge Kreutzmann <debian@helgefjell.de>
Build-Depends: debhelper (>= 9), autotools-dev, docbook-to-man, 
    intltool, libgstreamer1.0-dev,
    libgtk-3-dev, libcam-dev [kfreebsd-any],
    libmusicbrainz5-dev, libnotify-dev, po4a, libbrasero-media3-dev,
    recode, docbook-xml, libdiscid-dev, libneon27-dev, dpkg-dev (>= 1.16.1),
    itstool, libxml2-utils, libcoverart-dev
Standards-Version: 4.1.3
Homepage: https://www.gnome.org/~paobac/goobox/

Package: goobox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
    gstreamer1.0-plugins-base, gstreamer1.0-plugins-good
Recommends: default-dbus-session-bus | dbus-session-bus, yelp
Suggests: gstreamer1.0-plugins-ugly
Description: CD player and ripper with GNOME 3 integration
 Goobox is an CD player and ripper for the GNOME 3 environment. It follows the 
 "Just Works" principle so its interface is beautiful and easy-to-use.
 .
 It uses GNOME/GTK+ for its user interface, GStreamer framework for CD playing,
 and ripping operations, musicbrainz for CD indexing, and Google to search
 for album cover images.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+#DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 CFLAGS = -Wall -g
  
@@ -32,46 +32,7 @@
 DATE=$(shell date +%Y%m%d)
 TMPDIR=/tmp
 MANDIR=debian/manpage
-SVNNAME=goobox_svn$(DATE)
-SVNBDIR=$(TMPDIR)/$(SVNNAME)
 
-# FIXME: This needs to be converted to the current git repository
-svnupstream-checkout:
-	# Needs: svn 
-
-	# Getting sources
-	cd $(TMPDIR) && \
-        svn co svn://svn.gnome.org/svn/goobox/trunk goobox && \
-        mv goobox $(SVNBDIR)
-
-	# Mark it
-	touch $@
-
-svnupstream: svnupstream-checkout
-	# Needs: autoconf automake libtool
-
-	# Bootstrapping
-	-cd $(SVNBDIR) && \
-        ./autogen.sh && \
-        rm -f config.log config.status
-
-	#cd $(SVNBDIR) && \
-	#libtoolize -c -f && \
-	#aclocal && \
-	#autoconf
-
-	# Removing unused files
-	-find $(SVNBDIR) -name .svn -exec rm -rf "{}" ";"
-	-rm -r $(SVNBDIR)/autom4te.cache/
-	-rm -r $(SVNBDIR)/rm *_bak
-	
-	# Creating tarball
-	cd $(SVNBDIR)/.. && \
-	tar cfz $(SVNNAME).orig.tar.gz $(SVNNAME)
-	mv -i $(SVNBDIR)/../$(SVNNAME).orig.tar.gz ..
-
-	# Remove mark
-	rm svnupstream-checkout
 
 config.status: configure
 	dh_testdir
@@ -161,7 +122,7 @@
 	dh_installdocs
 	dh_install
 	#dh_installmenu
-	dh_gconf
+	#dh_gconf
 	dh_icons
 	dh_link
 	dh_strip

=== debian/watch ===
# watch control file for uscan

version=3
http://ftp.gnome.org/pub/GNOME/sources/goobox/3.4/goobox-(.*)\.tar\.xz

## goobox 3.4.3

=== debian/changelog ===
goobox (3.4.3-1) unstable; urgency=medium

  * New upstream release, including most of the previous patches.
  * Drop explicitly setting of deb compression (noted by lintian).
  * Upgrade to policy 4.2.1, no further changes required.
  * Add missing entry in previous changelog.

 -- Helge Kreutzmann <debian@helgefjell.de>  Fri, 19 Oct 2018 12:59:37 +0200

goobox (3.4.2-9) unstable; urgency=medium

  * Integrade logic using dh_autoreconf, so that the package builds with newer
    autotools, and lots of copying, so that the build remains reproducible.
    Closes: #906468.
  * Move "License:" stanza at the end of debian/copyright to please lintian.
  * Include the entire Attribution-ShareAlike 3.0 Unported license from
    https://creativecommons.org/licenses/by-sa/3.0/ (lintian warning).
  * Upgrade to policy 4.2.0, ship NEWS instead of ChangeLog. 
  * Add help/ro/ro.po from upstream git. 
  * Update po/ro.po from upstream git.
  * Add logcheck pattern to filter out standard goobox messages.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 25 Aug 2018 18:31:47 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
     libgtk-3-dev, libcam-dev [kfreebsd-any],
     libmusicbrainz5-dev, libnotify-dev, po4a, libbrasero-media3-dev,
     recode, docbook-xml, libdiscid-dev, libneon27-dev, dpkg-dev (>= 1.16.1),
-    itstool, libxml2-utils, libcoverart-dev
-Standards-Version: 4.1.3
+    itstool, libxml2-utils, libcoverart-dev, dh-autoreconf
+Standards-Version: 4.2.1
 Homepage: https://www.gnome.org/~paobac/goobox/
 
 Package: goobox

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,28 @@
 	[ -f config.guess.upstream ] || mv config.guess config.guess.upstream
 	cp -f /usr/share/misc/config.guess config.guess
 endif
-	# autoreconf
+	cp -ivp missing missing.backup
+	cp -ivp compile compile.backup
+	cp -ivp install-sh install-sh.backup
+	cp -ivp ltmain.sh ltmain.sh.backup
+	cp -ivp depcomp depcomp.backup
+	cp -ivp Makefile.in Makefile.in.backup
+	cp -ivp aclocal.m4 aclocal.m4.backup
+	cp -ivp configure configure.backup
+	cp -ivp data/Makefile.in data/Makefile.in.backup
+	cp -ivp data/appdata/Makefile.in data/appdata/Makefile.in.backup
+	cp -ivp data/icons/256x256/Makefile.in data/icons/256x256/Makefile.in.backup
+	cp -ivp data/icons/256x256/apps/Makefile.in data/icons/256x256/apps/Makefile.in.backup
+	cp -ivp data/icons/48x48/Makefile.in data/icons/48x48/Makefile.in.backup
+	cp -ivp data/icons/48x48/apps/Makefile.in data/icons/48x48/apps/Makefile.in.backup
+	cp -ivp data/icons/Makefile.in data/icons/Makefile.in.backup
+	cp -ivp data/icons/scalable/Makefile.in data/icons/scalable/Makefile.in.backup
+	cp -ivp data/icons/scalable/apps/Makefile.in data/icons/scalable/apps/Makefile.in.backup
+	cp -ivp help/Makefile.in help/Makefile.in.backup
+	cp -ivp src/Makefile.in src/Makefile.in.backup
+	cp -ivp src/icons/Makefile.in src/icons/Makefile.in.backup
+	cp -ivp src/ui/Makefile.in src/ui/Makefile.in.backup
+	dh_autoreconf
 	CFLAGS="$(CFLAGS)" ./configure $(confflags) --prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc --disable-silent-rules
 
 build: build-arch build-indep
@@ -65,6 +86,14 @@
 clean: 
 	dh_testdir
 	dh_testroot
+	dh_autoreconf_clean
+	[ -f missing ] || mv -f missing.backup missing
+	[ -f compile ] || mv -f compile.backup compile
+	[ -f install-sh ] || mv -f install-sh.backup install-sh
+	[ -f ltmain.sh ] || mv -f ltmain.sh.backup ltmain.sh
+	[ -f depcomp ] || mv -f depcomp.backup depcomp
+#[ -f Makefile.in ] || cp -v Makefile.in.backup Makefile.in
+
 	rm -f build-stamp config.log
 
 	# Cleaning package
@@ -77,6 +106,22 @@
 	[ ! -f config.guess.upstream ] || mv -f config.guess.upstream config.guess
 	[ ! -f config.sub.upstream ] || mv -f config.sub.upstream config.sub
 
+	[ ! -f Makefile.in.backup ] || mv -f Makefile.in.backup Makefile.in
+	[ ! -f aclocal.m4.backup ] || mv -f aclocal.m4.backup aclocal.m4
+	[ ! -f configure.backup ] || mv -f configure.backup configure
+	[ ! -f data/Makefile.in.backup ] || mv -f data/Makefile.in.backup data/Makefile.in
+	[ ! -f data/appdata/Makefile.in.backup ] || mv -f data/appdata/Makefile.in.backup data/appdata/Makefile.in
+	[ ! -f data/icons/256x256/Makefile.in.backup ] || mv -f data/icons/256x256/Makefile.in.backup data/icons/256x256/Makefile.in
+	[ ! -f data/icons/256x256/apps/Makefile.in.backup ] || mv -f data/icons/256x256/apps/Makefile.in.backup data/icons/256x256/apps/Makefile.in
+	[ ! -f data/icons/48x48/Makefile.in.backup ] || mv -f data/icons/48x48/Makefile.in.backup data/icons/48x48/Makefile.in
+	[ ! -f data/icons/48x48/apps/Makefile.in.backup ] || mv -f data/icons/48x48/apps/Makefile.in.backup data/icons/48x48/apps/Makefile.in
+	[ ! -f data/icons/Makefile.in.backup ] || mv -f data/icons/Makefile.in.backup data/icons/Makefile.in
+	[ ! -f data/icons/scalable/Makefile.in.backup ] || mv -f data/icons/scalable/Makefile.in.backup data/icons/scalable/Makefile.in
+	[ ! -f data/icons/scalable/apps/Makefile.in.backup ] || mv -f data/icons/scalable/apps/Makefile.in.backup data/icons/scalable/apps/Makefile.in
+	[ ! -f help/Makefile.in.backup ] || mv -f help/Makefile.in.backup help/Makefile.in
+	[ ! -f src/Makefile.in.backup ] || mv -f src/Makefile.in.backup src/Makefile.in
+	[ ! -f src/icons/Makefile.in.backup ] || mv -f src/icons/Makefile.in.backup src/icons/Makefile.in
+	[ ! -f src/ui/Makefile.in.backup ] || mv -f src/ui/Makefile.in.backup src/ui/Makefile.in
 	dh_clean
 
 install: build
@@ -110,6 +155,14 @@
 	install -d -m 0755 debian/goobox/usr/share/icons
 	#mv debian/goobox/usr/share/pixmaps/goobox.png debian/goobox/usr/share/icons
 
+	# Install logcheck pattern
+	install -D -m 0644 debian/logcheck debian/goobox/etc/logcheck/ignore.d.workstation/goobox
+
+	# Install NEWS as per policy 4.2.0 (and remove later upstream changelog)
+	# install -m 755 NEWS debian/goobox/usr/share/doc/goobox
+	# gzip -9 debian/goobox/usr/share/doc/goobox/NEWS
+	# rm -f debian/goobox/usr/share/doc/goobox/changelog.gz
+
 	# Install lintian overrides
 	dh_lintian
 
@@ -118,7 +171,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog debian/changelog.classic
+	dh_installchangelogs NEWS
 	dh_installdocs
 	dh_install
 	#dh_installmenu
@@ -132,7 +185,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb -- -Zxz
+	dh_builddeb
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install

## goobox 3.5.1

=== debian/changelog ===
goobox (3.5.1-6) unstable; urgency=medium

  * Updated Japanese man page by victory, fixing CR+LF. 

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 10 Feb 2019 08:17:46 +0100

goobox (3.5.1-5) unstable; urgency=medium

  * Update po/id.po from upstream git. 
  * Update po/hu.po from upstream git.
  * Update po/eu.po from upstream git.
  * Add French man page, thanks Jean-Pierre Giraud. Closes: #920590.
  * Add Japanese man page, thanks victory.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 03 Feb 2019 20:23:33 +0100

goobox (3.5.1-4) unstable; urgency=medium

  * Remove further trailing whitespace. 
  * Update po/da.po from upstream git.
  * Fix build of Portuguese man page.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 26 Jan 2019 15:15:00 +0100

goobox (3.5.1-3) unstable; urgency=medium

  * Update from upstream git to make more strings translatable.
  * Update po/de.po from upstream git.
  * Update po/pl.po from upstream git.
  * Update po/cs.po from upstream git.
  * Update po/es.po from upstream git.
  * Update po/fi.po from upstream git.
  * Update po/ro.po from upstream git.
  * Update po/sv.po from upstream git.
  * Add help/pt_BR/pt_BR.po from upstream git.
  * Add Portuguese man page, thanks to Américo Monteiro. Closes: #919126.
  * Update watch file and use secure http.
  * Remove trailing whitespace (thanks linitian).
  * Update copyright including fixes noted by lintian.
  * Update lintian overrides.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 19 Jan 2019 10:04:00 +0100

goobox (3.5.1-2) unstable; urgency=medium

  * Prepare for release to unstable.
  * Further improve debian/copyright.
  * Update po/de.po from upstream git.
  * Update po/sv.po from upstream git.
  * Improve logcheck pattern.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 12 Jan 2019 11:46:18 +0100

goobox (3.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Switch to pure dh based rules.
  * Upgrade to policy 4.2.1, no changes required.
  * Switch to debhelper compat level 12.

 -- Helge Kreutzmann <debian@helgefjell.de>  Mon, 07 Jan 2019 19:40:17 +0100

=== debian/control ===
Source: goobox
Section: gnome
Priority: optional
Maintainer: Helge Kreutzmann <debian@helgefjell.de>
Build-Depends: debhelper (>= 12), debhelper-compat (= 12), meson, docbook-to-man,
    intltool, libgstreamer1.0-dev,
    libgtk-3-dev, libcam-dev [kfreebsd-any],
    libmusicbrainz5-dev, libnotify-dev, po4a, libbrasero-media3-dev,
    recode, docbook-xml, libdiscid-dev, libneon27-dev, dpkg-dev (>= 1.16.1),
    itstool, libxml2-utils, libcoverart-dev
Standards-Version: 4.3.0
Homepage: https://www.gnome.org/~paobac/goobox/

Package: goobox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
    gstreamer1.0-plugins-base, gstreamer1.0-plugins-good
Recommends: default-dbus-session-bus | dbus-session-bus, yelp
Suggests: gstreamer1.0-plugins-ugly
Description: CD player and ripper with GNOME 3 integration
 Goobox is an CD player and ripper for the GNOME 3 environment. It follows the
 "Just Works" principle so its interface is beautiful and easy-to-use.
 .
 It uses GNOME/GTK+ for its user interface, GStreamer framework for CD playing,
 and ripping operations, musicbrainz for CD indexing, and Google to search
 for album cover images.

=== debian/watch ===
# watch control file for uscan

version=3
https://ftp.gnome.org/pub/GNOME/sources/goobox/3.5/goobox-(.*)\.tar\.xz

## goobox 3.6.0

=== meson_options.txt ===
option('run-in-place', 
  type : 'boolean', 
  value : false, 
  description : 'Load ui data from the source tree'
)

option('disable-libcoverart',
  type : 'boolean',
  value : false,
  description : 'Disable use of libcoverart to fetch CD covers'
)

option('disable-libnotify',
  type : 'boolean',
  value : false,
  description : 'Disable current track notification'
)

=== debian/changelog ===
goobox (3.6.0-16) unstable; urgency=medium

  * QA upload
  * Remove old obsolete debian/rules.old & debian/README.source
    that showed up in QA efforts.
  * Trim d/rules with newer syntax

 -- Alexandre Detiste <tchet@debian.org>  Sun, 14 Sep 2025 10:03:01 +0200

goobox (3.6.0-15) unstable; urgency=medium

  * QA upload
  * debian/control:
    - Drop BD on libcoverart-dev to enable RM of libcoverart
    - Remove obsolete Build-Depends
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 01 Sep 2025 21:46:59 +0200

goobox (3.6.0-14) unstable; urgency=medium

  * QA upload.
  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.7.0.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
    Changes-By: lintian-brush
    Fixes: lintian: tab-in-license-text
    See-also: https://lintian.debian.org/tags/tab-in-license-text.html
  * Update renamed lintian tag names in lintian overrides.
    Changes-By: lintian-brush
    Fixes: lintian: renamed-tag
    See-also: https://lintian.debian.org/tags/renamed-tag.html
  * Fix mismatched lintian overrides

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 13 Jul 2024 18:03:06 +0200

goobox (3.6.0-13) unstable; urgency=medium

  * Orphananing goobox, setting maintainer to Debian QA Group.
  * Update my copyright.
  * Explain one more (false) lintian warning.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 16 Jun 2024 05:44:43 +0200

goobox (3.6.0-12) unstable; urgency=medium

  * Recode de.po into UTF-8. Fixes FTBFS with recent po4a. Closes: #1072594
  * Upgrade to policy 4.7.0, no changes required.
  * Re-add versioned build dependency on dpkg-dev as required by policy.
  * Improve lintian override.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 08 Jun 2024 11:58:36 +0200

goobox (3.6.0-11) unstable; urgency=medium

  * Update Russian translation.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 08 Apr 2023 09:26:46 +0200

goobox (3.6.0-10) unstable; urgency=medium

  * Update Friulian translation.
  * Update my copyright.
  * Upgrade to policy 4.6.2, no changes required.

 -- Helge Kreutzmann <debian@helgefjell.de>  Thu, 02 Feb 2023 18:27:38 +0100

goobox (3.6.0-9) unstable; urgency=medium

  * Upgrade to policy 4.6.0, really, no changes required.
  * Remove minimum versions for build dependencies which are satisfied in
    stable already.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 29 May 2022 15:37:19 +0200

goobox (3.6.0-8) unstable; urgency=medium

  * Upgrade to policy 4.6.0, no changes required.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 29 May 2022 14:30:29 +0200

goobox (3.6.0-7) unstable; urgency=medium

  * Homepage no longer present, confirmed by upstream.
  * Improve debian/copyright (thanks lintian).
  * Upgrade to policy 4.6.0, no changes required.
  * Fix spelling in debian/copyright.
  * Switch to debhelper compat level 13.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 07 May 2022 17:44:46 +0200

goobox (3.6.0-6) unstable; urgency=medium

  * Update po/zh_CN.po from upstream git.

 -- Helge Kreutzmann <debian@helgefjell.de>  Wed, 26 May 2021 19:52:59 +0200

goobox (3.6.0-5) unstable; urgency=medium

  * Update homepage. Closes: #981591.

 -- Helge Kreutzmann <debian@helgefjell.de>  Wed, 03 Feb 2021 18:32:43 +0100

goobox (3.6.0-4) unstable; urgency=medium

  * Rebuild as po4a is now fixed, to get 100% translated manpages.
    Requires a little massaging on the build and the po files.
  * Add debian/upstream/metadata.
  * Lintian fixes
    - Remove COPYING from debian/copyright
    - Add Patch headers
    - Add two small autopkg tests
  * Fix typo in debian/rules.
  * Update my copyright.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 31 May 2020 21:18:01 +0200

goobox (3.6.0-2) unstable; urgency=medium

  * Add po/uk.po from upstream git.
  * Update po/ja.po from upstream git.
  * Upgrade to policy 4.5.0, no changes required.

 -- Helge Kreutzmann <debian@helgefjell.de>  Wed, 08 Apr 2020 09:39:02 +0200

goobox (3.6.0-1) unstable; urgency=medium

  * New upstream release. All patches except enhance_desktopfile.patch are now
    included.
  * Update watch file.
  * Remove further trailing whitespace.
  * Upgrade to policy 4.4.0, no changes required.
  * Update po/sr.po from upstream git.

 -- Helge Kreutzmann <debian@helgefjell.de>  Fri, 04 Oct 2019 18:45:00 +0200

=== debian/control ===
Source: goobox
Section: gnome
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               docbook-to-man,
               docbook-xml,
               intltool,
               itstool,
               libbrasero-media3-dev,
               libcam-dev [kfreebsd-any],
               libdiscid-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev,
               libmusicbrainz5-dev,
               libneon27-dev,
               libnotify-dev,
               libxml2-utils,
               meson,
               po4a,
               recode,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/goobox
Vcs-Git: https://salsa.debian.org/debian/goobox.git

Package: goobox
Architecture: any
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: default-dbus-session-bus | dbus-session-bus,
            yelp,
Suggests: gstreamer1.0-plugins-ugly,
Description: CD player and ripper with GNOME 3 integration
 Goobox is an CD player and ripper for the GNOME 3 environment. It follows the
 "Just Works" principle so its interface is beautiful and easy-to-use.
 .
 It uses GNOME/GTK+ for its user interface, GStreamer framework for CD playing,
 and ripping operations, musicbrainz for CD indexing, and Google to search
 for album cover images.

=== debian/rules ===
#!/usr/bin/make -f

MANDIR=debian/manpage

%:
	dh $@

execute_after_dh_auto_build:
	docbook-to-man $(MANDIR)/goobox.en.sgml > $(MANDIR)/goobox.1
	po4a -v -f debian/po4a.cfg
	# po4a-translate is broken, c.f. #280882
	recode utf8..latin1 $(MANDIR)/goobox.de.sgml
	perl -i -p -e 's#  <refentrytitle>\&dhucpackage;#\&dhucpackage;#ms' $(MANDIR)/goobox.de.sgml
	perl -i -p -e 's#^\s*</refentrytitle>##' $(MANDIR)/goobox.de.sgml
	recode utf8..latin1 $(MANDIR)/goobox.pt.sgml
	perl -i -p -e 's#  <refentrytitle>\&dhucpackage;#\&dhucpackage;#ms' $(MANDIR)/goobox.pt.sgml
	perl -i -p -e 's#^\s*</refentrytitle>##' $(MANDIR)/goobox.pt.sgml
	recode utf8..latin1 $(MANDIR)/goobox.fr.sgml
	perl -i -p -e 's#  <refentrytitle>\&dhucpackage;#\&dhucpackage;#ms' $(MANDIR)/goobox.fr.sgml
	perl -i -p -e 's#^\s*</refentrytitle>##' $(MANDIR)/goobox.fr.sgml
	perl -i -p -e 's#  <refentrytitle>\&dhucpackage;#\&dhucpackage;#ms' $(MANDIR)/goobox.ja.sgml
	perl -i -p -e 's#^\s*</refentrytitle>##' $(MANDIR)/goobox.ja.sgml
	docbook-to-man $(MANDIR)/goobox.de.sgml > $(MANDIR)/goobox.de.1
	docbook-to-man $(MANDIR)/goobox.pt.sgml > $(MANDIR)/goobox.pt.1
	docbook-to-man $(MANDIR)/goobox.fr.sgml > $(MANDIR)/goobox.fr.1
	# Call to docbook-to-man fails, but calling the programs directly suceeds, strange
	# (discard the errors, they only clutter the build without use)
	#docbook-to-man $(MANDIR)/goobox.ja.sgml > $(MANDIR)/goobox.ja.1
	/usr/bin/onsgmls -gl -E0 -m/usr/share/sgml/docbook/dtd/4.1/docbook.cat /usr/share/sgml/docbook/dtd/4.1/docbook.dcl debian/manpage/goobox.ja.sgml 2> /dev/null |  /usr/bin/instant -croff.cmap -sroff.sdata -tdocbook-to-man.ts > $(MANDIR)/goobox.ja.1
	recode latin1..utf8 $(MANDIR)/goobox.de.1
	recode latin1..utf8 $(MANDIR)/goobox.pt.1
	recode latin1..utf8 $(MANDIR)/goobox.fr.1
	# cf. #562722
	#perl -i -p -e 's#SYNOPSIS#ÜBERSICHT#' debian/goobox/usr/share/man/de/man1/goobox.1
	perl -i -p -e 's#SYNOPSIS#ÜBERSICHT#' $(MANDIR)/goobox.de.1

execute_after_dh_auto_install:
	# Installing pixmap
	install -D -m 0644 debian/pixmap/goobox.xpm debian/goobox/usr/share/pixmaps/goobox.xpm
	# Install logcheck pattern
	install -D -m 0644 debian/logcheck debian/goobox/etc/logcheck/ignore.d.workstation/goobox

=== debian/tests/control ===
tests: checkhelp
Depends: bash,
         coreutils,
         @,

=== debian/watch ===
# watch control file for uscan

version=3
https://ftp.gnome.org/pub/GNOME/sources/goobox/3.6/goobox-(.*)\.tar\.xz
